## gcc-16 16-20260208

=== debian/changelog ===
gcc-16 (16-20260208-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Work-around the 80GB chroot size on the Ubuntu buildds.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Feb 2026 13:09:34 +0100

gcc-16 (16-20260208-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20260208).

 -- Matthias Klose <doko@debian.org>  Sun, 08 Feb 2026 11:23:36 +0100

gcc-16 (16-20260207-2) experimental; urgency=medium

  * Ignore dh_shlibdeps failure for libcc1 for now.

 -- Matthias Klose <doko@debian.org>  Sat, 07 Feb 2026 17:11:49 +0100

gcc-16 (16-20260203-2ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Work-around the 80GB chroot size on the Ubuntu buildds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Feb 2026 17:10:34 +0100

gcc-16 (16-20260203-2) expperimental; urgency=medium

  * Apply proposed patch for PR d/123953, fixing ftbfs on ppc64le.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Feb 2026 16:45:07 +0100

gcc-16 (16-20260119-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Work-around the 80GB chroot size on the Ubuntu buildds.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Jan 2026 10:32:42 +0100

gcc-16 (16-20251214-0ubuntu1) resolute; urgency=medium

  * Snapshot, taken from the trunk (20251214).
  * Log the available disk space for the build.
  * Disable cobol for cross builds for now. Requires a libxml2 build
    for the target.
  * Build liblsan and libtsan on s390x.
  * Work-around the 80GB chroot size on the Ubuntu buildds.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Dec 2025 09:21:28 +0100

gcc-16 (16-20251210-1ubuntu1) resolute; urgency=medium

  * Snapshot, taken from the trunk (20251210).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Dec 2025 12:17:05 +0100

gcc-16 (16-20251202-1ubuntu1) resolute; urgency=medium

  * Snapshot, taken from the trunk (20251202).

 -- Matthias Klose <doko@debian.org>  Tue, 02 Dec 2025 16:55:42 +0100

gcc-16 (16-20251130-1ubuntu1) resolute; urgency=medium

  * Snapshot, taken from the trunk (20251130).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Nov 2025 22:33:13 +0100

gcc-16 (16-20251123-1ubuntu2) resolute; urgency=medium

  * Snapshot, taken from the trunk (20251123).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Nov 2025 12:49:38 +0100

gcc-15 (15.2.0-8ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Nov 2025 03:21:12 +0100

gcc-15 (15.2.0-7ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
  * Update to git 20251025 from the gcc-15 branch.
    - Fix PR tree-optimization/122012, PR target/99930 (x86),
      PR target/122323 (x86), PR ada/118782 (closes: #749574), PR ada/81087,
      PR c++/122302.
    - Fix PR target/110812 (LP: #2121375).
  * Bootstrap using GCC 15.
  * Disable sframe generation for Ubuntu 26.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Oct 2025 10:05:45 +0200

gcc-15 (15.2.0-6ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Oct 2025 09:16:50 +0200

gcc-15 (15.2.0-5ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Oct 2025 10:29:46 +0200

gcc-15 (15.2.0-4ubuntu4) questing; urgency=medium

  * Update to git 20250917 from the gcc-15 branch.
    - Fix PR target/121602 (AArch64), PR target/121464 (ARM),
      PR target/121749 (AArch64), PR target/121906 (loongarch),
      PR rtl-optimization/121757, PR c++/121801, PR c++/121795, PR c++/97740,
      PR libstdc++/117276.
  * Disable LTO builds for Ubuntu/riscv64, builders are very slow.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Sep 2025 06:41:58 +0200

gcc-15 (15.2.0-4ubuntu2) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Sep 2025 20:21:08 +0200

gcc-15 (15.2.0-2ubuntu2) questing; urgency=medium

  * Update to git 20250903 from the gcc-15 branch.
    - Fix PR bootstrap/118009, PR bootstrap/119089, PR target/121548 (RISCV),
      PR libstdc++/121374, PR libstdc++/121496, PR libstdc++/121097,
      PR libstdc++/120390.
  * Add two patches for newlib amdgcn:
    - amdgcn, libm: Fix infinite loop.
    - amdgcn, libm: Fix vector ilogb bugs (bug 33272).
  * ga68, gcobol: Depend on libc-dev.
  * Build full libgphobos on ppc64el for IEEE long double.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Sep 2025 11:42:05 +0200

gcc-15 (15.2.0-2ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Aug 2025 14:41:42 +0200

gcc-15 (15.2.0-1ubuntu1) questing; urgency=medium

  * Update to git 20250812 from the gcc-15 branch.
    - Fix PR rtl-optimization/120983.
  * Configure for the build variant on Ubuntu.
  * Enable sframe generation with binutils 2.45 on amd64 and arm64 (pass
    -Wa,--sframe=no to disable). Enabled unless one of the options -m16,
    -m32, -mx32 or -ffreestanding is used.
  * riscv64: Configure for the RVA23U64 profile on Ubuntu 25.10 or later.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Aug 2025 15:45:37 +0200

gcc-15 (15.1.0-11ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Aug 2025 11:48:44 +0200

gcc-15 (15.1.0-10ubuntu2) questing; urgency=medium

  * Update to git 20250727 from the gcc-15 branch.
    - Fix PR middle-end/121095, PR target/120119 (AArch64),

