## gcc-16 16-20260210

=== debian/changelog ===
gcc-16 (16-20260210-0ubuntu1) resolute; urgency=medium

  * Snapshot, taken from the trunk (20260210).
  * Fix build when building without common libraries.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Feb 2026 01:42:25 +0100
