## gcc-16 16-20260217

=== debian/changelog ===
gcc-16 (16-20260217-1ubuntu2) resolute; urgency=medium

  * Disable again profiled+lto build on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Feb 2026 08:29:24 +0100

gcc-16 (16-20260217-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Work-around the 80GB chroot size on the Ubuntu buildds.
  * On riscv64, default to rv64gc, RVA23 is currently broken.
    See PR target/124048.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Feb 2026 09:09:19 +0100

gcc-16 (16-20260217-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20260217).
  * Fix build when building without common libraries.
  * Re-enable profiled+lto build on armhf to check for PR target/119937.
  * Update GFDL+ doc file removal.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Feb 2026 08:25:09 +0100
