## gcc-16 16-20260226

=== debian/changelog ===
gcc-16 (16-20260226-1ubuntu1) resolute; urgency=medium

  * Snapshot, taken from the trunk (20260226).
  * On riscv64, default again to RVA23.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Feb 2026 06:09:01 +0100

gcc-16 (16-20260226-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20260226). Also closes: #1128648.
  * Disable again profiled+lto build on armhf.
  * Fix s390x backport builds.
  * Disable dwz on riscv64, see https://sourceware.org/bugzilla/show_bug.cgi?id=33929.
  * Disable profiled+lto build. See https://gcc.gnu.org/PR124238.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2026 06:00:27 +0100
